﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Cnblogs.Rdst.Domain;
using Cnblogs.Rdst.IBLL;
using Cnblogs.Rdst.BLL;

namespace Cnblogs.Rdst.Mvc.Controllers
{ 
    public class UserInfoController : Controller
    {
        //private ModelContainer db = new ModelContainer();
        IUserInfoService db = new UserInfoService();

        //
        // GET: /UserInfo/

        public ViewResult Index()
        {
           // return View(db.UserInfo.ToList());
            return View(db.LoadEntites(u => true));
        }

        //
        // GET: /UserInfo/Details/5

        public ViewResult Details(int id)
        {
            //UserInfo userinfo = db.UserInfo.Single(u => u.ID == id);
            UserInfo userinfo = db.LoadEntites(u => u.ID == id).FirstOrDefault();//FirstOrDefault()获取集合第一项
            return View(userinfo);
        }

        //
        // GET: /UserInfo/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /UserInfo/Create

        [HttpPost]
        public ActionResult Create(UserInfo userinfo)
        {
            if (ModelState.IsValid)
            {
                //db.UserInfo.AddObject(userinfo);
                //db.SaveChanges();
                db.AddEntity(userinfo);
                return RedirectToAction("Index");  
            }

            return View(userinfo);
        }
        
        //
        // GET: /UserInfo/Edit/5
 
        public ActionResult Edit(int id)
        {
            //UserInfo userinfo = db.UserInfo.Single(u => u.ID == id);
            UserInfo userinfo = db.LoadEntites(u=>u.ID==id).FirstOrDefault();
            return View(userinfo);
        }

        //
        // POST: /UserInfo/Edit/5

        [HttpPost]
        public ActionResult Edit(UserInfo userinfo)
        {
            if (ModelState.IsValid)
            {
               // db.UserInfo.Attach(userinfo);
               // db.ObjectStateManager.ChangeObjectState(userinfo, EntityState.Modified);
               // db.SaveChanges();
                db.UpdateEntity(userinfo);
                return RedirectToAction("Index");
            }
            return View(userinfo);
        }

        //
        // GET: /UserInfo/Delete/5
 
        public ActionResult Delete(int id)
        {
           // UserInfo userinfo = db.UserInfo.Single(u => u.ID == id);
            UserInfo userinfo = db.LoadEntites(u => u.ID == id).FirstOrDefault();
            return View(userinfo);
        }

        //
        // POST: /UserInfo/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            //UserInfo userinfo = db.UserInfo.Single(u => u.ID == id);
           // db.UserInfo.DeleteObject(userinfo);
           // db.SaveChanges();
            var userInfo=db.LoadEntites(u=>u.ID==id).FirstOrDefault();
            db.DelEntity(userInfo);
            return RedirectToAction("Index");
        }

        //protected override void Dispose(bool disposing)
        //{
        //    db.Dispose();
        //    base.Dispose(disposing);
        //}
    }
}